Patchwork [0/1] chkconfig: fix QA warning about unsafe references in binaries

login
register
mail settings
Submitter wenzong.fan@windriver.com
Date June 6, 2013, 9:28 a.m.
Message ID <cover.1370510036.git.wenzong.fan@windriver.com>
Download mbox
Permalink /patch/51223/
State New
Headers show

Pull-request

git://git.pokylinux.org/poky-contrib wenzong/chkconfig

Comments

wenzong.fan@windriver.com - June 6, 2013, 9:28 a.m.
From: Wenzong Fan <wenzong.fan@windriver.com>

This test is disabled in oe-core by default, but if we enable it, we'll
get following warnings:
    
  + WARN_QA = "unsafe-references-in-binaries unsafe-references-in-scripts"
    
WARNING: QA Issue: chkconfig: /sbin/chkconfig, installed in the \
base_prefix, requires a shared library under exec_prefix (/usr): \
libpopt.so.0 => /usr/lib64/libpopt.so.0

The following changes since commit a62aed41f2d8f874f7ae24d0e5be5dbc66ea2199:

  lrzsz: check locale.h in configure (2013-06-04 15:55:46 +0100)

are available in the git repository at:

  git://git.pokylinux.org/poky-contrib wenzong/chkconfig
  http://git.pokylinux.org/cgit.cgi/poky-contrib/log/?h=wenzong/chkconfig

Wenzong Fan (1):
  chkconfig: fix QA warning about unsafe references in binaries

 meta/recipes-extended/chkconfig/chkconfig_1.3.58.bb |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)